/*
 * UserWebService.java
 *
 * Created on 20 kwiecie 2007, 11:20
 *
 * To change this template, choose Tools | Template Manager
 * and open the template in the editor.
 */

package webservices;

import facades.UserFacadeRemote;
import javax.ejb.EJB;
import javax.ejb.Stateless;
import javax.jws.WebService;
import persistence.User;

/**
 * CENTRALA
 * wystawiony webservice, aby wszystkie filie mogly go wywolywac, w trakcie zmnian uzytkownikow
 * @author Tomek
 */

@Stateless
@WebService
public class UserWS { 

    /** instructions corresponding reproduction of bug no 3019:
     * project requires database, but I will leave one for some time
     * It also needs postgresql jdbc library 8.2
     * 
     * 1. deploy k-ejb ( project have entities and facades, and one webservice using parameter from within this project
     * 2. deploy k-c-ejb ( project is enclosing k-ejb and have one webservice having the same parameter, 
     *   and during deploy it crashes
     *
     *  If You change in this file createUser(User user) into createUser(String user) 
     * everything is fine.
     * 
     * It was actually a few times tested on build b47 beta3 of glassfish, 
     *
     *
     */
    
    
    @EJB
    private UserFacadeRemote userFacade;
            
    public void createUser(User user) {
        System.out.println("tworzy uzytkownika w centralnej bazie przez WS");
        //userFacade.create(user, DatabaseChoice.CentralDatabase);         
    }       
    
    public void deleteUser(Integer userId) {
        System.out.println("usuwa uzytkownika w centralnej bazie przez WS");        
        //userFacade.de(user, DatabaseChoice.CentralDatabase);         
    }
    
   
}
