/*
 * DeliveryFacade.java
 *
 * Created on 19 kwiecie 2007, 19:41
 *
 * To change this template, choose Tools | Template Manager
 * and open the template in the editor.
 */
//TODO : zmienic to tak jak inne fasady na korzystanie z wyboru EM
package facades;

import java.util.List;
import javax.ejb.Stateless;
import javax.persistence.EntityManager;
import javax.persistence.PersistenceContext;
import persistence.Delivery;

/**
 *
 * @author Tomek
 */
@Stateless
public class DeliveryFacade implements DeliveryFacadeRemote {

    @PersistenceContext(unitName="centrala")
    private EntityManager em;
    
    /** Creates a new instance of DeliveryFacade */
    public DeliveryFacade() {
    }

    public void create(Delivery delivery) {
        em.persist(delivery);
    }

    public void edit(Delivery delivery) {
        em.merge(delivery);
    }

    public void destroy(Delivery delivery) {
        em.merge(delivery);
        em.remove(delivery);
    }

    public Delivery find(Object pk) {
        return (Delivery) em.find(Delivery.class, pk);
    }

    public List findAll() {
        return em.createQuery("select object(o) from Delivery as o").getResultList();
    }
    
}
