/*
 * DeliveryPriorityFacade.java
 *
 * Created on 19 kwiecie 2007, 19:41
 *
 * To change this template, choose Tools | Template Manager
 * and open the template in the editor.
 */
//TODO : zmienic to tak jak inne fasady na korzystanie z wyboru EM
package facades;

import java.util.List;
import javax.ejb.Stateless;
import javax.persistence.EntityManager;
import javax.persistence.PersistenceContext;
import persistence.DeliveryPriority;

/**
 *
 * @author Tomek
 */
@Stateless
public class DeliveryPriorityFacade implements DeliveryPriorityFacadeRemote {

    @PersistenceContext(unitName="centrala")
    private EntityManager em;
    
    /** Creates a new instance of DeliveryPriorityFacade */
    public DeliveryPriorityFacade() {
    }

    public void create(DeliveryPriority deliveryPriority) {
        em.persist(deliveryPriority);
    }

    public void edit(DeliveryPriority deliveryPriority) {
        em.merge(deliveryPriority);
    }

    public void destroy(DeliveryPriority deliveryPriority) {
        em.merge(deliveryPriority);
        em.remove(deliveryPriority);
    }

    public DeliveryPriority find(Object pk) {
        return (DeliveryPriority) em.find(DeliveryPriority.class, pk);
    }

    public List findAll() {
        return em.createQuery("select object(o) from DeliveryPriority as o").getResultList();
    }
    
}
