/*
 * UserFacadeRemote.java
 *
 * Created on 19 kwiecie 2007, 19:41
 *
 * To change this template, choose Tools | Template Manager
 * and open the template in the editor.
 */

package facades;

import java.util.Date;
import java.util.List;
import javax.ejb.Remote;
import persistence.User;

/**
 *
 * @author Tomek
 */
@Remote
public interface UserFacadeRemote {
    void create(User user,DatabaseChoice databaseChoice);

    void edit(User user,DatabaseChoice databaseChoice);

    void destroy(User user,DatabaseChoice databaseChoice);

    User find(Object pk,DatabaseChoice databaseChoice);
    
    User findByLogin(String login, DatabaseChoice databaseChoice);
    
    List findAll(DatabaseChoice databaseChoice);
    
    List findRemoved(DatabaseChoice databaseChoice);
    
    List findNewOrModified( Date fromTimeStamp, Date toTimeStamp ,DatabaseChoice databaseChoice);
    
}
