/*
 * CountryFacadeRemote.java
 *
 * Created on 19 kwiecie 2007, 19:41
 *
 * To change this template, choose Tools | Template Manager
 * and open the template in the editor.
 */

package facades;

import java.util.List;
import javax.ejb.Remote;
import persistence.Country;

/**
 *
 * @author Tomek
 */
@Remote
public interface CountryFacadeRemote {
    void create(Country country, DatabaseChoice databaseChoice);

    void edit(Country country, DatabaseChoice databaseChoice);

    void destroy(Country country, DatabaseChoice databaseChoice);

    Country find(Object pk, DatabaseChoice databaseChoice);

    List findAll(DatabaseChoice databaseChoice);
    
}
