/*
 * DeliveriesOfficesFacade.java
 *
 * Created on 19 kwiecie 2007, 19:41
 *
 * To change this template, choose Tools | Template Manager
 * and open the template in the editor.
 */
//TODO : zmienic to tak jak inne fasady na korzystanie z wyboru EM
package facades;

import java.util.List;
import javax.ejb.Stateless;
import javax.persistence.EntityManager;
import javax.persistence.PersistenceContext;
import persistence.DeliveriesOffices;

/**
 *
 * @author Tomek
 */
@Stateless
public class DeliveriesOfficesFacade implements DeliveriesOfficesFacadeRemote {

    @PersistenceContext(unitName="centrala")
    private EntityManager em;
    
    /** Creates a new instance of DeliveriesOfficesFacade */
    public DeliveriesOfficesFacade() {
    }

    public void create(DeliveriesOffices deliveriesOffices) {
        em.persist(deliveriesOffices);
    }

    public void edit(DeliveriesOffices deliveriesOffices) {
        em.merge(deliveriesOffices);
    }

    public void destroy(DeliveriesOffices deliveriesOffices) {
        em.merge(deliveriesOffices);
        em.remove(deliveriesOffices);
    }

    public DeliveriesOffices find(Object pk) {
        return (DeliveriesOffices) em.find(DeliveriesOffices.class, pk);
    }

    public List findAll() {
        return em.createQuery("select object(o) from DeliveriesOffices as o").getResultList();
    }
    
}
