/*
 * FacadeHelperBean.java
 *
 * Created on 7 maj 2007, 10:47
 *
 * To change this template, choose Tools | Template Manager
 * and open the template in the editor.
 */

package facades;

import facades.DatabaseChoice;
import javax.persistence.EntityManager;
import javax.persistence.PersistenceContext;

/**
 *
 * @author Tomek
 */

public class Facade{    
        
    @PersistenceContext(unitName="centrala")
    private EntityManager centralEntityManager;
    
    @PersistenceContext(unitName="filia")
    private EntityManager officeEntityManager;
    
   
    /** Creates a new instance of FacadeHelperBean */
    public Facade() {
    }
    
    public EntityManager getEntityManager(DatabaseChoice databaseChoice) {
        switch ( databaseChoice ) {
            case CentralDatabase: {
                return centralEntityManager;
            }
            case OfficeDatabase: {
                return officeEntityManager;
            }
            default: {
                return centralEntityManager;
            }
        }
    }    
    
}
